package com.alibaba.android.arouter.core;

import android.content.Context;
import android.net.Uri;
import com.alibaba.android.arouter.exception.HandlerException;
import com.alibaba.android.arouter.exception.NoRouteFoundException;
import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.enums.RouteType;
import com.alibaba.android.arouter.facade.enums.TypeKind;
import com.alibaba.android.arouter.facade.model.RouteMeta;
import com.alibaba.android.arouter.facade.template.IInterceptorGroup;
import com.alibaba.android.arouter.facade.template.ILogger;
import com.alibaba.android.arouter.facade.template.IProvider;
import com.alibaba.android.arouter.facade.template.IProviderGroup;
import com.alibaba.android.arouter.facade.template.IRouteGroup;
import com.alibaba.android.arouter.facade.template.IRouteRoot;
import com.alibaba.android.arouter.launcher.ARouter;
import com.alibaba.android.arouter.utils.ClassUtils;
import com.alibaba.android.arouter.utils.MapUtils;
import com.alibaba.android.arouter.utils.PackageUtils;
import com.alibaba.android.arouter.utils.TextUtils;
import java.util.HashSet;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ThreadPoolExecutor;

public class LogisticsCenter {

    /* renamed from: 〇080  reason: contains not printable characters */
    private static Context f5080;

    /* renamed from: 〇o00〇〇Oo  reason: contains not printable characters */
    static ThreadPoolExecutor f6o00Oo;

    /* renamed from: 〇o〇  reason: contains not printable characters */
    private static boolean f7o;

    /* access modifiers changed from: package-private */
    /* renamed from: com.alibaba.android.arouter.core.LogisticsCenter$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {

        /* renamed from: 〇080  reason: contains not printable characters */
        static final /* synthetic */ int[] f8080;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[RouteType.values().length];
            f8080 = iArr;
            iArr[RouteType.PROVIDER.ordinal()] = 1;
            f8080[RouteType.FRAGMENT.ordinal()] = 2;
        }
    }

    private static void O8() {
        f7o = false;
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Root$$arouterapi");
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Root$$account");
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Root$$camScanner_GP_402");
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Interceptors$$camScanner_GP_402");
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Providers$$arouterapi");
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Providers$$account");
        m1o0("com.alibaba.android.arouter.routes.ARouter$$Providers$$camScanner_GP_402");
    }

    /* renamed from: OO0o〇〇〇〇0  reason: contains not printable characters */
    private static void m0OO0o0(Postcard postcard, Integer num, String str, String str2) {
        if (!TextUtils.m40o00Oo(str) && !TextUtils.m40o00Oo(str2)) {
            if (num != null) {
                try {
                    if (num.intValue() == TypeKind.BOOLEAN.ordinal()) {
                        postcard.withBoolean(str, Boolean.parseBoolean(str2));
                    } else if (num.intValue() == TypeKind.BYTE.ordinal()) {
                        postcard.withByte(str, Byte.parseByte(str2));
                    } else if (num.intValue() == TypeKind.SHORT.ordinal()) {
                        postcard.withShort(str, Short.parseShort(str2));
                    } else if (num.intValue() == TypeKind.INT.ordinal()) {
                        postcard.withInt(str, Integer.parseInt(str2));
                    } else if (num.intValue() == TypeKind.LONG.ordinal()) {
                        postcard.withLong(str, Long.parseLong(str2));
                    } else if (num.intValue() == TypeKind.FLOAT.ordinal()) {
                        postcard.withFloat(str, Float.parseFloat(str2));
                    } else if (num.intValue() == TypeKind.DOUBLE.ordinal()) {
                        postcard.withDouble(str, Double.parseDouble(str2));
                    } else if (num.intValue() == TypeKind.STRING.ordinal()) {
                        postcard.withString(str, str2);
                    } else if (num.intValue() != TypeKind.PARCELABLE.ordinal()) {
                        if (num.intValue() == TypeKind.OBJECT.ordinal()) {
                            postcard.withString(str, str2);
                        } else {
                            postcard.withString(str, str2);
                        }
                    }
                } catch (Throwable th) {
                    ILogger iLogger = ARouter.f15o;
                    iLogger.warning(ILogger.defaultTag, "LogisticsCenter setValue failed! " + th.getMessage());
                }
            } else {
                postcard.withString(str, str2);
            }
        }
    }

    private static void Oo08() {
        if (!f7o) {
            f7o = true;
        }
    }

    private static void oO80(IProviderGroup iProviderGroup) {
        Oo08();
        if (iProviderGroup != null) {
            iProviderGroup.loadInto(Warehouse.O8);
        }
    }

    /* renamed from: o〇0  reason: contains not printable characters */
    private static void m1o0(String str) {
        if (!TextUtils.m40o00Oo(str)) {
            try {
                Object newInstance = Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0]);
                if (newInstance instanceof IRouteRoot) {
                    m380808O((IRouteRoot) newInstance);
                } else if (newInstance instanceof IProviderGroup) {
                    oO80((IProviderGroup) newInstance);
                } else if (newInstance instanceof IInterceptorGroup) {
                    m6888((IInterceptorGroup) newInstance);
                } else {
                    ILogger iLogger = ARouter.f15o;
                    iLogger.info(ILogger.defaultTag, "register failed, class name: " + str + " should implements one of IRouteRoot/IProviderGroup/IInterceptorGroup.");
                }
            } catch (Exception unused) {
                ILogger iLogger2 = ARouter.f15o;
                iLogger2.error(ILogger.defaultTag, "register class error:" + str);
            }
        }
    }

    /* renamed from: 〇080  reason: contains not printable characters */
    public static Postcard m2080(String str) {
        RouteMeta routeMeta = Warehouse.O8.get(str);
        if (routeMeta == null) {
            return null;
        }
        return new Postcard(routeMeta.getPath(), routeMeta.getGroup());
    }

    /* renamed from: 〇80〇808〇O  reason: contains not printable characters */
    private static void m380808O(IRouteRoot iRouteRoot) {
        Oo08();
        if (iRouteRoot != null) {
            iRouteRoot.loadInto(Warehouse.f10080);
        }
    }

    /* renamed from: 〇o00〇〇Oo  reason: contains not printable characters */
    public static synchronized void m4o00Oo(Postcard postcard) {
        synchronized (LogisticsCenter.class) {
            if (postcard != null) {
                RouteMeta routeMeta = Warehouse.f11o00Oo.get(postcard.getPath());
                if (routeMeta == null) {
                    Class<? extends IRouteGroup> cls = Warehouse.f10080.get(postcard.getGroup());
                    if (cls != null) {
                        try {
                            if (ARouter.m8o00Oo()) {
                                ARouter.f15o.debug(ILogger.defaultTag, String.format(Locale.getDefault(), "The group [%s] starts loading, trigger by [%s]", postcard.getGroup(), postcard.getPath()));
                            }
                            ((IRouteGroup) cls.getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(Warehouse.f11o00Oo);
                            Warehouse.f10080.remove(postcard.getGroup());
                            if (ARouter.m8o00Oo()) {
                                ARouter.f15o.debug(ILogger.defaultTag, String.format(Locale.getDefault(), "The group [%s] has already been loaded, trigger by [%s]", postcard.getGroup(), postcard.getPath()));
                            }
                            m4o00Oo(postcard);
                        } catch (Exception e) {
                            throw new HandlerException("ARouter::Fatal exception when loading group meta. [" + e.getMessage() + "]");
                        }
                    } else {
                        throw new NoRouteFoundException("ARouter::There is no route match the path [" + postcard.getPath() + "], in group [" + postcard.getGroup() + "]");
                    }
                } else {
                    postcard.setDestination(routeMeta.getDestination());
                    postcard.setType(routeMeta.getType());
                    postcard.setPriority(routeMeta.getPriority());
                    postcard.setExtra(routeMeta.getExtra());
                    Uri uri = postcard.getUri();
                    if (uri != null) {
                        Map<String, String> r6 = TextUtils.m41o(uri);
                        Map<String, Integer> paramsType = routeMeta.getParamsType();
                        if (MapUtils.m35o00Oo(paramsType)) {
                            for (Map.Entry<String, Integer> entry : paramsType.entrySet()) {
                                m0OO0o0(postcard, entry.getValue(), entry.getKey(), r6.get(entry.getKey()));
                            }
                            postcard.getExtras().putStringArray("wmHzgD4lOj5o4241", (String[]) paramsType.keySet().toArray(new String[0]));
                        }
                        postcard.withString("NTeRQWvye18AkPd6G", uri.toString());
                    }
                    int i = AnonymousClass1.f8080[routeMeta.getType().ordinal()];
                    if (i == 1) {
                        Class<?> destination = routeMeta.getDestination();
                        IProvider iProvider = Warehouse.f12o.get(destination);
                        if (iProvider == null) {
                            try {
                                iProvider = (IProvider) destination.getConstructor(new Class[0]).newInstance(new Object[0]);
                                iProvider.init(f5080);
                                Warehouse.f12o.put(destination, iProvider);
                            } catch (Exception e2) {
                                throw new HandlerException("Init provider failed! " + e2.getMessage());
                            }
                        }
                        postcard.setProvider(iProvider);
                        postcard.greenChannel();
                    } else if (i == 2) {
                        postcard.greenChannel();
                    }
                }
            } else {
                throw new NoRouteFoundException("ARouter::No postcard!");
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x00b4 A[Catch:{ Exception -> 0x018f }] */
    /* renamed from: 〇o〇  reason: contains not printable characters */
    public static synchronized void m5o(Context context, ThreadPoolExecutor threadPoolExecutor) throws HandlerException {
        Set<String> set;
        synchronized (LogisticsCenter.class) {
            f5080 = context;
            f6o00Oo = threadPoolExecutor;
            try {
                long currentTimeMillis = System.currentTimeMillis();
                O8();
                if (f7o) {
                    ARouter.f15o.info(ILogger.defaultTag, "Load router map by arouter-auto-register plugin.");
                } else {
                    if (!ARouter.m8o00Oo()) {
                        if (!PackageUtils.m37o00Oo(context)) {
                            ARouter.f15o.info(ILogger.defaultTag, "Load router map from cache.");
                            set = new HashSet<>(context.getSharedPreferences("SP_AROUTER_CACHE", 0).getStringSet("ROUTER_MAP", new HashSet()));
                            ILogger iLogger = ARouter.f15o;
                            iLogger.info(ILogger.defaultTag, "Find router map finished, map size = " + set.size() + ", cost " + (System.currentTimeMillis() - currentTimeMillis) + " ms.");
                            currentTimeMillis = System.currentTimeMillis();
                            for (String str : set) {
                                if (str.startsWith("com.alibaba.android.arouter.routes.ARouter$$Root")) {
                                    ((IRouteRoot) Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(Warehouse.f10080);
                                } else if (str.startsWith("com.alibaba.android.arouter.routes.ARouter$$Interceptors")) {
                                    ((IInterceptorGroup) Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(Warehouse.Oo08);
                                } else if (str.startsWith("com.alibaba.android.arouter.routes.ARouter$$Providers")) {
                                    ((IProviderGroup) Class.forName(str).getConstructor(new Class[0]).newInstance(new Object[0])).loadInto(Warehouse.O8);
                                }
                            }
                        }
                    }
                    ARouter.f15o.info(ILogger.defaultTag, "Run with debug mode or new install, rebuild router map.");
                    set = ClassUtils.m30080(f5080, "com.alibaba.android.arouter.routes");
                    if (!set.isEmpty()) {
                        context.getSharedPreferences("SP_AROUTER_CACHE", 0).edit().putStringSet("ROUTER_MAP", set).apply();
                    }
                    PackageUtils.m38o(context);
                    ILogger iLogger2 = ARouter.f15o;
                    iLogger2.info(ILogger.defaultTag, "Find router map finished, map size = " + set.size() + ", cost " + (System.currentTimeMillis() - currentTimeMillis) + " ms.");
                    currentTimeMillis = System.currentTimeMillis();
                    while (r8.hasNext()) {
                    }
                }
                ILogger iLogger3 = ARouter.f15o;
                iLogger3.info(ILogger.defaultTag, "Load root element finished, cost " + (System.currentTimeMillis() - currentTimeMillis) + " ms.");
                if (Warehouse.f10080.size() == 0) {
                    ARouter.f15o.error(ILogger.defaultTag, "No mapping files were found, check your configuration please!");
                }
                if (ARouter.m8o00Oo()) {
                    ARouter.f15o.debug(ILogger.defaultTag, String.format(Locale.getDefault(), "LogisticsCenter has already been loaded, GroupIndex[%d], InterceptorIndex[%d], ProviderIndex[%d]", Integer.valueOf(Warehouse.f10080.size()), Integer.valueOf(Warehouse.Oo08.size()), Integer.valueOf(Warehouse.O8.size())));
                }
            } catch (Exception e) {
                throw new HandlerException("ARouter::ARouter init logistics center exception! [" + e.getMessage() + "]");
            }
        }
    }

    /* renamed from: 〇〇888  reason: contains not printable characters */
    private static void m6888(IInterceptorGroup iInterceptorGroup) {
        Oo08();
        if (iInterceptorGroup != null) {
            iInterceptorGroup.loadInto(Warehouse.Oo08);
        }
    }
}
