package com.alibaba.android.arouter.launcher;

import android.app.Activity;
import android.app.Application;
import android.app.Fragment;
import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.os.Looper;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import com.alibaba.android.arouter.core.LogisticsCenter;
import com.alibaba.android.arouter.exception.HandlerException;
import com.alibaba.android.arouter.exception.InitException;
import com.alibaba.android.arouter.exception.NoRouteFoundException;
import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.callback.InterceptorCallback;
import com.alibaba.android.arouter.facade.callback.NavigationCallback;
import com.alibaba.android.arouter.facade.enums.RouteType;
import com.alibaba.android.arouter.facade.service.AutowiredService;
import com.alibaba.android.arouter.facade.service.DegradeService;
import com.alibaba.android.arouter.facade.service.InterceptorService;
import com.alibaba.android.arouter.facade.service.PathReplaceService;
import com.alibaba.android.arouter.facade.service.PretreatmentService;
import com.alibaba.android.arouter.facade.template.ILogger;
import com.alibaba.android.arouter.thread.DefaultPoolExecutor;
import com.alibaba.android.arouter.utils.DefaultLogger;
import com.alibaba.android.arouter.utils.TextUtils;
import java.util.concurrent.ThreadPoolExecutor;

/* access modifiers changed from: package-private */
public final class _ARouter {
    private static volatile boolean O8 = false;

    /* renamed from: OO0o〇〇〇〇0  reason: contains not printable characters */
    private static InterceptorService f16OO0o0;
    private static volatile _ARouter Oo08 = null;
    private static Handler oO80;

    /* renamed from: o〇0  reason: contains not printable characters */
    private static volatile boolean f17o0 = false;

    /* renamed from: 〇080  reason: contains not printable characters */
    static ILogger f18080 = new DefaultLogger(ILogger.defaultTag);

    /* renamed from: 〇80〇808〇O  reason: contains not printable characters */
    private static Context f1980808O;

    /* renamed from: 〇o00〇〇Oo  reason: contains not printable characters */
    private static volatile boolean f20o00Oo = false;

    /* renamed from: 〇o〇  reason: contains not printable characters */
    private static volatile boolean f21o = false;

    /* renamed from: 〇〇888  reason: contains not printable characters */
    private static volatile ThreadPoolExecutor f22888 = DefaultPoolExecutor.m28080();

    /* access modifiers changed from: package-private */
    /* renamed from: com.alibaba.android.arouter.launcher._ARouter$4  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass4 {

        /* renamed from: 〇080  reason: contains not printable characters */
        static final /* synthetic */ int[] f30080;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|(3:13|14|16)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[RouteType.values().length];
            f30080 = iArr;
            iArr[RouteType.ACTIVITY.ordinal()] = 1;
            f30080[RouteType.PROVIDER.ordinal()] = 2;
            f30080[RouteType.BOARDCAST.ordinal()] = 3;
            f30080[RouteType.CONTENT_PROVIDER.ordinal()] = 4;
            f30080[RouteType.FRAGMENT.ordinal()] = 5;
            f30080[RouteType.METHOD.ordinal()] = 6;
            try {
                f30080[RouteType.SERVICE.ordinal()] = 7;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private _ARouter() {
    }

    /* renamed from: OO0o〇〇〇〇0  reason: contains not printable characters */
    protected static _ARouter m13OO0o0() {
        if (f17o0) {
            if (Oo08 == null) {
                synchronized (_ARouter.class) {
                    if (Oo08 == null) {
                        Oo08 = new _ARouter();
                    }
                }
            }
            return Oo08;
        }
        throw new InitException("ARouterCore::Init::Invoke init(context) first!");
    }

    static void Oo08() {
        f16OO0o0 = (InterceptorService) ARouter.m9o().m11080("/arouter/service/interceptor").navigation();
    }

    static boolean oO80() {
        return f21o;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startActivity(int i, Context context, Intent intent, Postcard postcard, NavigationCallback navigationCallback) {
        if (i < 0) {
            ContextCompat.startActivity(context, intent, postcard.getOptionsBundle());
        } else if (context instanceof Activity) {
            ActivityCompat.startActivityForResult((Activity) context, intent, i, postcard.getOptionsBundle());
        } else {
            f18080.warning(ILogger.defaultTag, "Must use [navigation(activity, ...)] to support [startActivityForResult]");
        }
        if (!(-1 == postcard.getEnterAnim() || -1 == postcard.getExitAnim() || !(context instanceof Activity))) {
            ((Activity) context).overridePendingTransition(postcard.getEnterAnim(), postcard.getExitAnim());
        }
        if (navigationCallback != null) {
            navigationCallback.onArrival(postcard);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* renamed from: 〇080  reason: contains not printable characters */
    private Object m14080(final Context context, final Postcard postcard, final int i, final NavigationCallback navigationCallback) {
        if (context == null) {
            context = f1980808O;
        }
        int i2 = AnonymousClass4.f30080[postcard.getType().ordinal()];
        if (i2 == 1) {
            final Intent intent = new Intent(context, postcard.getDestination());
            intent.putExtras(postcard.getExtras());
            int flags = postcard.getFlags();
            if (-1 != flags) {
                intent.setFlags(flags);
            } else if (!(context instanceof Activity)) {
                intent.setFlags(268435456);
            }
            String action = postcard.getAction();
            if (!TextUtils.m40o00Oo(action)) {
                intent.setAction(action);
            }
            m17O00(new Runnable() {
                /* class com.alibaba.android.arouter.launcher._ARouter.AnonymousClass3 */

                public void run() {
                    _ARouter.this.startActivity(i, context, intent, postcard, navigationCallback);
                }
            });
            return null;
        } else if (i2 == 2) {
            return postcard.getProvider();
        } else {
            if (i2 == 3 || i2 == 4 || i2 == 5) {
                try {
                    Object newInstance = postcard.getDestination().getConstructor(new Class[0]).newInstance(new Object[0]);
                    if (newInstance instanceof Fragment) {
                        ((Fragment) newInstance).setArguments(postcard.getExtras());
                    } else if (newInstance instanceof androidx.fragment.app.Fragment) {
                        ((androidx.fragment.app.Fragment) newInstance).setArguments(postcard.getExtras());
                    }
                    return newInstance;
                } catch (Exception e) {
                    ILogger iLogger = f18080;
                    iLogger.error(ILogger.defaultTag, "Fetch fragment instance error, " + TextUtils.m39080(e.getStackTrace()));
                }
            }
            return null;
        }
    }

    /* renamed from: 〇80〇808〇O  reason: contains not printable characters */
    private String m1580808O(String str) {
        if (TextUtils.m40o00Oo(str) || !str.startsWith("/")) {
            throw new HandlerException("ARouter::Extract the default group failed, the path must be start with '/' and contain more than 2 '/'!");
        }
        try {
            String substring = str.substring(1, str.indexOf("/", 1));
            if (!TextUtils.m40o00Oo(substring)) {
                return substring;
            }
            throw new HandlerException("ARouter::Extract the default group failed! There's nothing between 2 '/'!");
        } catch (Exception e) {
            ILogger iLogger = f18080;
            iLogger.warning(ILogger.defaultTag, "Failed to extract default group! " + e.getMessage());
            return null;
        }
    }

    /* renamed from: 〇8o8o〇  reason: contains not printable characters */
    protected static synchronized boolean m168o8o(Application application) {
        synchronized (_ARouter.class) {
            f1980808O = application;
            LogisticsCenter.m5o(application, f22888);
            f18080.info(ILogger.defaultTag, "ARouter init success!");
            f17o0 = true;
            oO80 = new Handler(Looper.getMainLooper());
        }
        return true;
    }

    /* renamed from: 〇O00  reason: contains not printable characters */
    private void m17O00(Runnable runnable) {
        if (Looper.getMainLooper().getThread() != Thread.currentThread()) {
            oO80.post(runnable);
        } else {
            runnable.run();
        }
    }

    /* renamed from: 〇O8o08O  reason: contains not printable characters */
    static void m18O8o08O(Object obj) {
        AutowiredService autowiredService = (AutowiredService) ARouter.m9o().m11080("/arouter/service/autowired").navigation();
        if (autowiredService != null) {
            autowiredService.autowire(obj);
        }
    }

    /* renamed from: 〇O〇  reason: contains not printable characters */
    static synchronized void m19O() {
        synchronized (_ARouter.class) {
            f18080.showLog(true);
            f18080.info(ILogger.defaultTag, "ARouter openLog");
        }
    }

    /* renamed from: 〇〇808〇  reason: contains not printable characters */
    static synchronized void m22808() {
        synchronized (_ARouter.class) {
            f21o = true;
            f18080.info(ILogger.defaultTag, "ARouter openDebug");
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: OO0o〇〇  reason: contains not printable characters */
    public Object m23OO0o(final Context context, final Postcard postcard, final int i, final NavigationCallback navigationCallback) {
        PretreatmentService pretreatmentService = (PretreatmentService) ARouter.m9o().m12888(PretreatmentService.class);
        if (pretreatmentService != null && !pretreatmentService.onPretreatment(context, postcard)) {
            return null;
        }
        try {
            LogisticsCenter.m4o00Oo(postcard);
            if (navigationCallback != null) {
                navigationCallback.onFound(postcard);
            }
            if (postcard.isGreenChannel()) {
                return m14080(context, postcard, i, navigationCallback);
            }
            f16OO0o0.doInterceptions(postcard, new InterceptorCallback() {
                /* class com.alibaba.android.arouter.launcher._ARouter.AnonymousClass2 */

                @Override // com.alibaba.android.arouter.facade.callback.InterceptorCallback
                public void onContinue(Postcard postcard) {
                    _ARouter.this.m14080(context, postcard, i, navigationCallback);
                }

                @Override // com.alibaba.android.arouter.facade.callback.InterceptorCallback
                public void onInterrupt(Throwable th) {
                    NavigationCallback navigationCallback = navigationCallback;
                    if (navigationCallback != null) {
                        navigationCallback.onInterrupt(postcard);
                    }
                    ILogger iLogger = _ARouter.f18080;
                    iLogger.info(ILogger.defaultTag, "Navigation failed, termination by interceptor : " + th.getMessage());
                }
            });
            return null;
        } catch (NoRouteFoundException e) {
            f18080.warning(ILogger.defaultTag, e.getMessage());
            if (oO80()) {
                m17O00(new Runnable() {
                    /* class com.alibaba.android.arouter.launcher._ARouter.AnonymousClass1 */

                    public void run() {
                        Context context = _ARouter.f1980808O;
                        Toast.makeText(context, "There's no route matched!\n Path = [" + postcard.getPath() + "]\n Group = [" + postcard.getGroup() + "]", 1).show();
                    }
                });
            }
            if (navigationCallback != null) {
                navigationCallback.onLost(postcard);
            } else {
                DegradeService degradeService = (DegradeService) ARouter.m9o().m12888(DegradeService.class);
                if (degradeService != null) {
                    degradeService.onLost(context, postcard);
                }
            }
            return null;
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: Oooo8o0〇  reason: contains not printable characters */
    public <T> T m24Oooo8o0(Class<? extends T> cls) {
        try {
            Postcard r1 = LogisticsCenter.m2080(cls.getName());
            if (r1 == null) {
                r1 = LogisticsCenter.m2080(cls.getSimpleName());
            }
            if (r1 == null) {
                return null;
            }
            LogisticsCenter.m4o00Oo(r1);
            return (T) r1.getProvider();
        } catch (NoRouteFoundException e) {
            f18080.warning(ILogger.defaultTag, e.getMessage());
            return null;
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: o〇0  reason: contains not printable characters */
    public Postcard m25o0(String str) {
        if (!TextUtils.m40o00Oo(str)) {
            PathReplaceService pathReplaceService = (PathReplaceService) ARouter.m9o().m12888(PathReplaceService.class);
            if (pathReplaceService != null) {
                str = pathReplaceService.forString(str);
            }
            return m26888(str, m1580808O(str), Boolean.TRUE);
        }
        throw new HandlerException("ARouter::Parameter is invalid!");
    }

    /* access modifiers changed from: protected */
    /* renamed from: 〇〇888  reason: contains not printable characters */
    public Postcard m26888(String str, String str2, Boolean bool) {
        PathReplaceService pathReplaceService;
        if (TextUtils.m40o00Oo(str) || TextUtils.m40o00Oo(str2)) {
            throw new HandlerException("ARouter::Parameter is invalid!");
        }
        if (!bool.booleanValue() && (pathReplaceService = (PathReplaceService) ARouter.m9o().m12888(PathReplaceService.class)) != null) {
            str = pathReplaceService.forString(str);
        }
        return new Postcard(str, str2);
    }
}
