package com.alibaba.android.arouter.thread;

import com.alibaba.android.arouter.facade.template.ILogger;
import com.alibaba.android.arouter.launcher.ARouter;
import com.alibaba.android.arouter.utils.TextUtils;
import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionHandler;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class DefaultPoolExecutor extends ThreadPoolExecutor {
    private static final int OO;
    private static final int Oo8;

    /* renamed from: 〇08O〇00〇o  reason: contains not printable characters */
    private static volatile DefaultPoolExecutor f3108O00o;

    /* renamed from: 〇OOo8〇0  reason: contains not printable characters */
    private static final int f32OOo80;

    static {
        int availableProcessors = Runtime.getRuntime().availableProcessors();
        Oo8 = availableProcessors;
        int i = availableProcessors + 1;
        f32OOo80 = i;
        OO = i;
    }

    private DefaultPoolExecutor(int i, int i2, long j, TimeUnit timeUnit, BlockingQueue<Runnable> blockingQueue, ThreadFactory threadFactory) {
        super(i, i2, j, timeUnit, blockingQueue, threadFactory, new RejectedExecutionHandler() {
            /* class com.alibaba.android.arouter.thread.DefaultPoolExecutor.AnonymousClass1 */

            public void rejectedExecution(Runnable runnable, ThreadPoolExecutor threadPoolExecutor) {
                ARouter.f15o.error(ILogger.defaultTag, "Task rejected, too many task!");
            }
        });
    }

    /* renamed from: 〇080  reason: contains not printable characters */
    public static DefaultPoolExecutor m28080() {
        if (f3108O00o == null) {
            synchronized (DefaultPoolExecutor.class) {
                if (f3108O00o == null) {
                    f3108O00o = new DefaultPoolExecutor(f32OOo80, OO, 30, TimeUnit.SECONDS, new ArrayBlockingQueue(64), new DefaultThreadFactory());
                }
            }
        }
        return f3108O00o;
    }

    /* access modifiers changed from: protected */
    public void afterExecute(Runnable runnable, Throwable th) {
        super.afterExecute(runnable, th);
        if (th == null && (runnable instanceof Future)) {
            try {
                ((Future) runnable).get();
            } catch (CancellationException e) {
                th = e;
            } catch (ExecutionException e2) {
                th = e2.getCause();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
            }
        }
        if (th != null) {
            ILogger iLogger = ARouter.f15o;
            iLogger.warning(ILogger.defaultTag, "Running task appeared exception! Thread [" + Thread.currentThread().getName() + "], because [" + th.getMessage() + "]\n" + TextUtils.m39080(th.getStackTrace()));
        }
    }
}
