package com.alibaba.android.arouter.thread;

import androidx.annotation.NonNull;
import com.alibaba.android.arouter.facade.template.ILogger;
import com.alibaba.android.arouter.launcher.ARouter;
import java.lang.Thread;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.atomic.AtomicInteger;

public class DefaultThreadFactory implements ThreadFactory {
    private static final AtomicInteger O8 = new AtomicInteger(1);

    /* renamed from: 〇080  reason: contains not printable characters */
    private final AtomicInteger f33080 = new AtomicInteger(1);

    /* renamed from: 〇o00〇〇Oo  reason: contains not printable characters */
    private final ThreadGroup f34o00Oo;

    /* renamed from: 〇o〇  reason: contains not printable characters */
    private final String f35o;

    public DefaultThreadFactory() {
        ThreadGroup threadGroup;
        SecurityManager securityManager = System.getSecurityManager();
        if (securityManager != null) {
            threadGroup = securityManager.getThreadGroup();
        } else {
            threadGroup = Thread.currentThread().getThreadGroup();
        }
        this.f34o00Oo = threadGroup;
        this.f35o = "ARouter task pool No." + O8.getAndIncrement() + ", thread No.";
    }

    public Thread newThread(@NonNull Runnable runnable) {
        String str = this.f35o + this.f33080.getAndIncrement();
        ARouter.f15o.info(ILogger.defaultTag, "Thread production, name is [" + str + "]");
        Thread thread = new Thread(this.f34o00Oo, runnable, str, 0);
        if (thread.isDaemon()) {
            thread.setDaemon(false);
        }
        if (thread.getPriority() != 5) {
            thread.setPriority(5);
        }
        thread.setUncaughtExceptionHandler(new Thread.UncaughtExceptionHandler() {
            /* class com.alibaba.android.arouter.thread.DefaultThreadFactory.AnonymousClass1 */

            public void uncaughtException(Thread thread, Throwable th) {
                ILogger iLogger = ARouter.f15o;
                iLogger.info(ILogger.defaultTag, "Running task appeared exception! Thread [" + thread.getName() + "], because [" + th.getMessage() + "]");
            }
        });
        return thread;
    }
}
